Net::LDAP::Control::TreeDelete(3)

NAME
Net::LDAP::Control::TreeDelete - LDAPv3 Tree Delete control object

SYNOPSIS
 use Net::LDAP;
 use Net::LDAP::Control::TreeDelete;

 $ldap = Net::LDAP->new( "ldap.mydomain.eg" );

 $treedel = Net::LDAP::Control::TreeDelete->new( critical => 1 );

 $msg = $ldap->delete( 'o=University of Michigan,c=US',
                       control  => [ $treedel ] );

 die "error: ",$msg->code(),": ",$msg->error()  if ($msg->code());

DESCRIPTION
"Net::LDAP::Control::TreeDelete" provides an interface for the creation and manipulation of objects that represent the "TreeDelete" control as described by draft-armijo-ldap-treedelete-02.txt <https://tools.ietf.org/html/draft-armijo-ldap-treedelete-02>

It allows the client to delete an entire subtree.

The control is appropriate for LDAP delete operations [RFC4511] only, and inappropriate for all other operations.

Its criticality may be TRUE or FALSE; it has no value.

There is no corresponding response control.

CONSTRUCTOR ARGUMENTS
Since the "TreeDelete" control does not have any values, only the constructor arguments described in Net::LDAP::Control are supported

METHODS
As there are no additional values in the control, only the methods in Net::LDAP::Control are available for "Net::LDAP::Control::TreeDelete" objects.

SEE ALSO
Net::LDAP, Net::LDAP::Control,

AUTHOR
Peter Marschall <peter@adpm.de>.

Please report any bugs, or post any suggestions, to the perl-ldap mailing list <perl-ldap@perl.org>

COPYRIGHT
Copyright (c) 2020 Peter Marschall. All rights reserved. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.